Subject: old ftp processes hanging around

From: Art Mulder <[email-masked]>
Date: Thu, 27 Jul 1995 09:21:56 -0600 (MDT)

Hello,
  We're running wu-ftpd 2.4 on a Sparc Classic, SunOS 4.1.3_U1

  Works mostly great.

  We're noticing that a number of old ftp processes seem to get
  left hanging around.  For example There is right now an ftpd process 
  sitting there since July 21 (today is the 27th):

% ps auxc | egrep ftp
...
ftp       2830  0.0  0.0  788    0 ?  IW   Jul 24  0:00 ftpd
ftp       1740  0.0  0.0  788    0 ?  IW   Jul 21  0:00 ftpd
ftp       3676  0.0  0.0  788    0 ?  IW   Jul 24  0:00 ftpd
...

  Is this a common problem?  Is there a simple solution?  We were
  considering just setting up a cron job with kills anything older
  than 24 hours.  I'm not keen on that, as it strikes me as a bit
  of a bandage solution.  I would prefer that the server didn't leave
  old copies of itself hanging around.

Thanks,
...art mulder ( [email-masked] ) ( http://web.cs.ualberta.ca/~art/ )
              ( Postmaster, News admin, Webmaster, Ftp admin, ...      )
              ( Computer Operations, CS Dept, U of Alberta, Edmonton   )